﻿#cart-block {
    /*position: relative;*/
    /*top:50px;*/
    margin: auto;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    position: fixed;
}

#cart-body {
    border-top: 30px solid black;
    border-left: 10px solid transparent;
    border-right: 10px solid transparent;
    height: 0;
    width: 50px;
    border-radius: 5px;
}

    #cart-body:after {
        content: "";
        position: absolute;
        border: 0 solid transparent;
        border-top: 3px solid black;
        border-left: 3px solid black;
        width: 6px;
        height: 10px;
        top: -6px;
        right: -3.5px;
        transform: rotate(18deg);
        border-radius: 5px;
    }

    #cart-body:before {
        position: absolute;
        content: "";
        border-top: 20px solid white;
        border-left: 8px solid transparent;
        border-right: 8px solid transparent;
        height: 0;
        width: 40px;
        top: 5px;
        left: 5px;
        border-radius: 5px;
    }

#cart-wheel1 {
    position: relative;
    width: 10px;
    height: 10px;
    border-radius: 100%;
    border: 1px solid #000;
    background: rgba(0,0,0,0);
    top: 1px;
    left: 10px;
    animation: rotation 1.5s linear infinite;
    animation-direction: reverse;
}

    #cart-wheel1:after {
        content: "";
        position: absolute;
        width: 8px;
        height: 1px;
        background-color: #000;
        top: 3.5px;
    }

    #cart-wheel1:before {
        content: "";
        position: absolute;
        width: 1px;
        height: 8px;
        background-color: #000;
        left: 3.5px;
    }

#cart-wheel2 {
    position: relative;
    width: 10px;
    height: 10px;
    border-radius: 100%;
    border: 1px solid #000;
    background: rgba(0,0,0,0);
    top: -9px;
    left: 30px;
    animation: rotation 1.5s linear infinite;
    animation-direction: reverse;
}

    #cart-wheel2:after {
        content: "";
        position: absolute;
        width: 8px;
        height: 1px;
        background-color: #000;
        top: 3.5px;
    }

    #cart-wheel2:before {
        content: "";
        position: absolute;
        width: 1px;
        height: 8px;
        background-color: #000;
        left: 3.5px;
    }

/*@keyframes rotation {
    from {
        transform: rotate(0deg);
    }

    to {
        transform: rotate(360deg);
    }
}*/
